apiVersion: apps/v1
kind: Deployment
metadata:
  name: k8s-service
  labels:
    app: k8s-service
spec:
  replicas: 2
  selector:
    matchLabels:
      app: k8s-service
  template:
    metadata:
      labels:
        app: k8s-service
    spec:
      containers:
        - name: k8s-service
          image: maja0125/k8s-service
          ports:
            - containerPort: 4000

---

apiVersion: v1
kind: Service
metadata:
  name: k8s-service
spec:
  type: NodePort
  selector:
    app: k8s-service
  ports:
    - protocol: TCP
      port: 4000
      targetPort: 4000